org.apache.commons.io.input

## Class ClosedInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.io.input.ClosedInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ClosedInputStream
    extends InputStream

Closed input stream. This stream returns EOF to all attempts to read something from the stream.

Typically uses of this class include testing for corner cases in methods that accept input streams and acting as a sentinel value instead of a `null` input stream.

Since:
  1.4

### Field Summary

Fields
`static ClosedInputStream` `CLOSED_INPUT_STREAM` A singleton.

### Constructor Summary

Constructors
Constructor and Description
`ClosedInputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()` Returns -1 to indicate that the stream is closed.

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLOSED_INPUT_STREAM

    public static final ClosedInputStream CLOSED_INPUT_STREAM

A singleton.

### Constructor Detail

#### ClosedInputStream

    public ClosedInputStream()

### Method Detail

#### read

    public int read()

Returns -1 to indicate that the stream is closed.

Specified by:
  `read` in class `InputStream`
Returns:
  always -1